Skip to main content
PATCH
Update a dashboard

Authorizations

X-Auth-Token
string
header
required

Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.

Path Parameters

dashboardId
string
required
Minimum string length: 1

Body

application/json
name
string
Required string length: 1 - 255
description
string | null
Maximum string length: 2000
excludedOrigins
string[] | null
Maximum array length: 20
Required string length: 1 - 64

Response

The updated dashboard

id
string
required
Minimum string length: 1
name
string
required
Required string length: 1 - 255
description
string | null
required
scope
enum<string>
required
Available options:
PRIVATE,
PROJECT,
ORGANIZATION
excludedOrigins
string[] | null
required
Maximum array length: 20
Required string length: 1 - 64
createdById
string | null
required
createdAt
string
required
updatedAt
string
required
platformUrl
string
required
Last modified on October 27, 2026